Inhalte

# Funktion LBound

Gibt die untere Begrenzung eines Arrays zurück.

### Syntax:

    LBound (ArrayName [, Dimension])

### Rückgabetyp:

Long

### Parameter:

ArrayName: Der Name des Arrays, dessen obere (UBound) oder untere (LBound) Begrenzung der jeweiligen Dimension Sie zurückgeben lassen möchten.

[Dimension]: Wert vom Typ Integer, der festlegt, für welche Dimension die obere (UBound) oder untere (LBound) Begrenzung zurückgegeben werden soll. Wird kein Wert angegeben, so wird standardmäßig die erste Dimension betrachtet.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

9 Index außerhalb des definierten Bereichs

### Beispiel:

    Sub VectorBounds
        Dim v(10 To 20) As String
        Print LBound(v()) ' Gibt 10 zurück
        Print UBound(v) ' returns 20
    End Sub ' VectorBounds

    Sub TableBounds
        Dim t(10 To 20,-5 To 70) As Currency
        Print LBound(t), UBound(t()) ' returns 10  20
        Print LBound(t(),2) ' returns - 5
        Print UBound(t,2) ' returns 70
    End Sub ' TableBounds